Kea: isc::asiolink::IOSignalSetImpl Class Reference

| Kea 3.2.0-git

isc::asiolink::IOSignalSetImpl Class Reference

Implementation class of IOSignalSet. More...

Inheritance diagram for isc::asiolink::IOSignalSetImpl:
[legend]

## Public Member Functions
| IOSignalSetImpl (const IOServicePtr &io_service, IOSignalHandler handler)
| Constructor.
| ~IOSignalSetImpl ()
| Destructor.
void | add (int signum)
| Add a signal to the ASIO signal set.
void | cancel ()
| Cancel the remaining installed signal handler callbacks.
void | install ()
| Install the callback on the IO service queue.
void | remove (int signum)
| Remove a signal from the ASIO signal set.

## Detailed Description

Implementation class of IOSignalSet.

Definition at line 23 of file io_service_signal.cc.

## Constructor & Destructor Documentation

## ◆ IOSignalSetImpl()

isc::asiolink::IOSignalSetImpl::IOSignalSetImpl | ( | const IOServicePtr & | io_service,
|  | IOSignalHandler | handler )

Constructor.

Parameters

  io_service | the process IO service.
  handler | the signal handler.

Definition at line 68 of file io_service_signal.cc.

## ◆ ~IOSignalSetImpl()

isc::asiolink::IOSignalSetImpl::~IOSignalSetImpl | ( |  | ) |

Destructor.

Definition at line 75 of file io_service_signal.cc.

## Member Function Documentation

## ◆ add()

void isc::asiolink::IOSignalSetImpl::add | ( | int | signum | ) |

Add a signal to the ASIO signal set.

Parameters

  signum | the signal number.

Definition at line 106 of file io_service_signal.cc.

References isc_throw, and isc::Exception::what().

Here is the call graph for this function:

## ◆ cancel()

void isc::asiolink::IOSignalSetImpl::cancel | ( |  | ) |

Cancel the remaining installed signal handler callbacks.

Definition at line 80 of file io_service_signal.cc.

## ◆ install()

void isc::asiolink::IOSignalSetImpl::install | ( |  | ) |

Install the callback on the IO service queue.

Definition at line 99 of file io_service_signal.cc.

## ◆ remove()

void isc::asiolink::IOSignalSetImpl::remove | ( | int | signum | ) |

Remove a signal from the ASIO signal set.

Parameters

  signum | the signal number.

Definition at line 116 of file io_service_signal.cc.

References isc_throw, and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- io_service_signal.cc